1

On a SLES11.4 server wanted to install a package:

SLES11SERVER:~ # zypper in -f telnet
Retrieving repository 'foobar_common' metadata [\]
File 'repomd.xml' from repository 'foobar_common' is unsigned, continue? [yes/no] (no): yes
Retrieving repository 'foobar_common' metadata [error]
Repository 'foobar_common' is invalid.
[|] Valid metadata not found at specified URL(s)
Please check if the URIs defined for this repository are pointing to a valid repository.
Warning: Disabling repository 'foobar_common' because of the above error.
Some of the repositories have not been refreshed because of an error.
Loading repository data...
Reading installed packages...
Forcing installation of 'telnet-1.2-134.24.1.x86_64' from repository 'SLES11-SP4-Pool'.
Resolving package dependencies...

The following package is going to be reinstalled:
  telnet

1 package to reinstall.
Overall download size: 54.0 KiB. No additional space will be used or freed after the operation.
Continue? [y/n/? shows all options] (y): y
Retrieving package telnet-1.2-134.24.1.x86_64 (1/1), 54.0 KiB (118.0 KiB unpacked)
Retrieving: telnet-1.2-134.24.1.x86_64.rpm [done]
Installing: telnet-1.2-134.24.1 [done]
SLES11SERVER:~ # echo $?
106
SLES11SERVER:~ #

According to the man page:

106 - ZYPPER_EXIT_INF_REPOS_SKIPPED
           Some repository had to be disabled temporarily because it failed to refresh. You should check your
           repository configuration (e.g.  zypper ref -f).

So I did a "zypper ref -f":

SLES11SERVER:~ # zypper ref -f
...
Retrieving repository 'foobar_common' metadata [/]
File 'repomd.xml' from repository 'foobar_common' is unsigned, continue? [yes/no] (no): yes
Retrieving repository 'foobar_common' metadata [error]
Repository 'foobar_common' is invalid.
[|] Valid metadata not found at specified URL(s)
Please check if the URIs defined for this repository are pointing to a valid repository.
Skipping repository 'foobar_common' because of the above error.
Forcing raw metadata refresh
...
Some of the repositories have not been refreshed because of an error.
SLES11SERVER:~ #

The package got installed (from another repo, this foobar_common doesn't provides it), but I must have exit code 0 for zypper after a package install.

Q: How can I fix that the zypper will not give exit code 106?

I tried to:

  • delete/add the foobar_common repo, same issue

closed as off-topic by DopeGhoti, Rui F Ribeiro, Archemar, slm Jan 10 '18 at 6:20

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Questions describing a problem that can't be reproduced and seemingly went away on its own (or went away when a typo was fixed) are off-topic as they are unlikely to help future readers." – DopeGhoti, Rui F Ribeiro, Archemar, slm
If this question can be reworded to fit the rules in the help center, please edit the question.

0

The problem was on the repository side (PEBKAC for the operating team for the repo :) )

Also, zypper clean --all helps.

Not the answer you're looking for? Browse other questions tagged or ask your own question.